emfasemfas
Variants{identifier}

Get Variant

Retrieves a single Variant by its identifier with product information and combined attributes

GET
/variants/{identifier}
Authorization<token>

API key authentication using Bearer token format. Use: Bearer

In: header

Path Parameters

identifierstring

Variant identifier

Response Body

curl -X GET "https://api.emfas.ai/v1/variants/string"
{
  "result": {
    "attributes": {
      "property1": [
        {
          "data": null,
          "locale": "en-US",
          "metaobjectDefinition": "gender",
          "type": "text",
          "value": "Space Black"
        }
      ],
      "property2": [
        {
          "data": null,
          "locale": "en-US",
          "metaobjectDefinition": "gender",
          "type": "text",
          "value": "Space Black"
        }
      ]
    },
    "identifier": "VAR-001",
    "name": "iPhone 14 Pro 256GB",
    "product": {
      "identifier": "PROD-001",
      "name": "iPhone 14 Pro"
    },
    "updatedAt": "2024-01-15T10:30:00Z"
  }
}
{
  "error": "Internal server error"
}
{
  "error": "Internal server error"
}
{
  "error": "Internal server error"
}
{
  "error": "Internal server error"
}